Parametric Portfolio 2013

Page 1

Francesco Cingolani Architecture paramétrique Géométries complexes Design procédural #rhino3d #grasshopper #rhinoScript PORTFOLIO 2013

immaginoteca.pro


DAZHONGLI skylight, shanghai Collaboration avec l’agence Hugh Dutton Associés Études et modélisation Rhinoceros 3d, Grasshopper et Rhinoscript. Étude de developpabilité. Rationalisation géométrique pour la surface en verre et les lames brise-soleil à géométrie variable et paramétrique. 2009-2013 Architectes : Wong & Ouyang


Cette page du portfolio est confidentielle et elle ne peut donc pas être publiée. Cependant, vous pouvez nous contacter à l’adresse suivant pour obtenir une version complète du portfolio. Dans ce cas, nous vous demanderons de ne pas la diffuser. immaginoteca@gmail.com


TRUNCATED PYRAMIDS PAVILION Rationalisation de surface complexe et optimisation pour la fabrication. Études et modélisation en Grasshopper. Cours «Architecture Paramétrique» à l’école d’architecture de Marne La Vallée 2010-2013


Cette page du portfolio est confidentielle et elle ne peut donc pas être publiée. Cependant, vous pouvez nous contacter à l’adresse suivant pour obtenir une version complète du portfolio. Dans ce cas, nous vous demanderons de ne pas la diffuser. immaginoteca@gmail.com


project 0001 parametric design and empty spaces Projet artistique d’occupation d’espaces vide par une structure gonflable paramétrique. Modélisation et études de forme en Rhinoceros 3d et Grasshopper. 2012-


Montage de la maille métallique extérieure, couverture de la Cour Visconti. Musée du Louvre, département des Arts de l’Islam Architectes : Mario Bellini et Rudy Ricciotti © M. Bellini – R. Ricciotti / Musée du Louvre © 2011 Musée du Louvre / Antoine Mongodin

Le nouveau département des Arts de l’Islam mUSEE DU LOUVRE, PARIS Collaboration avec l’agence Hugh Dutton Associés Études et modélisation Rhinoceros 3d et Grasshopper. Gestion et coordination de projet (Concours, APS, APD, DCE, PRO). 2006-2010 Architectes : Mario Bellini et Rudy Ricciottin Nouvel


philharmonie de paris Collaboration avec l’agence Hugh Dutton Associés Études et modélisation Rhinoceros 3d, Grasshopper et Rhinoscript. Gestion et coordination de projet (APS, APD, DCE). 2007-2010 Architectes : Ateliers Jean Nouvel


Option Explicit ‘Script written by <insert name> ‘Script copyrighted by <insert company name> ‘Script version mercredi 25 juin 2008 10:05:58 Call Main() Sub Main() Dim dblTol : dblTol=0.01 Dim intest : intest=0 Dim i,j,k,v, inIncr, arrPtDiv Dim strCrv1: strCrv1 =1 Dim strCrv2: strCrv2 =2 Dim arrPtBase : arrptBAse= array(0,0,0) Dim arrPtA : arrPtA=arrPtBase Dim arrPtOrdYBef: arrPtOrdYBef=1 ‘Layer Creation Call Rhino.AddLayer (“__SCR_POINTS_1”, rgb (255,0,0),,,”SCRIPT”) Call Rhino.AddLayer (“__SCR_POINTS_2”, rgb (0,255,0),,,”SCRIPT”) Call Rhino.AddLayer (“__SCR_POINTS_3”, rgb (0,0,255),,,”SCRIPT”) Call Rhino.AddLayer (“__SCR_CRV_1”, rgb (0,0,100),,,”SCRIPT”) Call Rhino.AddLayer (“__SCR_CRV_2”, rgb (0,100,0),,,”SCRIPT”) Call Rhino.AddLayer (“__SCR_TRI_1”, rgb (120,100,80),,,”SCRIPT”) Call Rhino.AddLayer (“__SCR_TRI_2”, rgb (100,0,150),,,”SCRIPT”) ‘Number of lines Dim InLines : InLines=Null Do While isNull(InLines) InLines = Rhino.GetInteger (“Number of Lines”,99,1,200) Loop ‘Number of segments for the last lines (shorter) Dim InSeg1 : InSeg1=Null Do While isNull(InSeg1) InSeg1 = Rhino.GetInteger (“Numbers of segments 1 (west part of shorter line)”,1,1,10) Loop Dim InSeg2 : InSeg2=Null Do While isNull(InSeg2) InSeg2 = Rhino.GetInteger (“Numbers of segments 2 (central part of shorter line)”,3,1,10) Loop Dim InSeg3 : InSeg3=Null Do While isNull(InSeg3) InSeg3 = Rhino.GetInteger (“Numbers of segments 3 (east part of shorter line)”,3,1,10) Loop ‘dimensioining matrix of points Dim InCrvSeg:InCrvSeg=InLines+InSeg1+InSeg2+InSeg3-1 ReDim arrPtCrv (InLines-1,InCrvSeg) ReDim strCrv1 (InLines-1), strCrv2 (InLines-1), strCrv3 (InLines-1) Dim strCrvBef1 : strCrvBef1 = Rhino.GetObjects (“Select curves 1”, 0, , , True) Dim strCrvBef2 : strCrvBef2 = Rhino.GetObjects (“Select curves 2”, 0, , , True) Dim strCrvBef3 : strCrvBef3 = Rhino.GetObjects (“Select curves 3”, 0, , , True) ‘ordino le curve ReDim arrPtOrd0 (InLines-1), arrPtOrd1 (InLines-1) ReDim arrPtOrdYBef0 (InLines-1), arrPtOrdYBef1 (InLines-1) ReDim strCrvBef1B (InLines-1), strCrvBef3B (InLines-1) Dim t0 ‘order lines Call Rhino.CurrentLayer(“__SCR_POINTS_1”) For i=0 To InLines-1 t0= Rhino.CurveDomain (strCrvBef2(i)) arrPtOrd0 (i) = Rhino.EvaluateCurve (strCrvBef2(i), t0(0)) arrPtOrd1 (i) = Rhino.EvaluateCurve (strCrvBef2(i), t0(1)) Call rhino.addpoint (arrPtOrd0(i)) Call rhino.addpoint (arrPtOrd1(i)) arrPtOrdYBef0(i)= arrPtOrd0 (i) (1) arrPtOrdYBef1(i)= arrPtOrd1 (i) (1) For j=0 To InLines-1 ‘Call rhino.print (strCrvBef1(j)) If Rhino.IsPointOnCurve (strCrvBef1(j), arrPtOrd0 (i))= True Then strCrvBef1B(i)=strCrvBef1(j) End If If Rhino.IsPointOnCurve (strCrvBef3(j), arrPtOrd1 (i))= True Then strCrvBef3B(i)=strCrvBef3(j) End If Next Next Dim arrPtOrdYAft : arrPtOrdYAft = rhino.sortnumbers (arrPtOrdYBef0,False) For i=0 To InLines-1 For j=0 To InLines-1 If arrPtOrdYAft(i)= arrPtOrdYBef0(j) Then strCrv1(i)=strCrvBef1B(j) strCrv2(i)=strCrvBef2(j) strCrv3(i)=strCrvBef3B(j) End If Next Next ‘big loop Dim dblLen Dim InCrvSeg2:InCrvSeg2=InLines+InSeg2-1 Dim ub1, arrptcrv1, arrptCrv2, arrptcrv3 For j=intest To InLines-1 Call Rhino.CurrentLayer (“__SCR_POINTS_2”) ‘Lenght of line dblLen = Rhino.CurveLength(strCrv2(j))/InCrvSeg2 arrPtCrv1=Rhino.DivideCurveLength (strCrv1(j), dblLen, True) arrPtCrv2=Rhino.DivideCurve (strCrv2(j), InCrvSeg2, True) arrPtCrv3=Rhino.DivideCurveLength (strCrv3(j), dblLen, True) ‘Call rhino.addpoint(arrPtCrv2(1)) ‘Call Rhino.DeleteObject (strCrv2(j)) ub1=ubound (arrPtCrv2) For k=0 To inCrvSeg2+inSEg1+insEg3 If k<=inseg1 Then arrPtCrv(j,k)=arrPtCrv1(inSeg1-k) End If

winter garden, beijing Collaboration avec l’agence Hugh Dutton Associés Études géometriques Garden et génération tramage àJiang l’aideTaideWinter Rhinoscript.

Beijing, China Project and Scripted Geometry for the Main Hall 2007-2010 2007 CREDITS Architectes | Architects: :Benoy Benoy | | Specialist Design Consultants : HDA |


pacific place restaurant Collaboration avec l’agence Hugh Dutton Associés Études et modélisation Rhinoceros 3d. Optimisation et préparation des surface pour l’analyse structurelle. 2006-2008 Architecte : Tomas Heatherwick


BAT HOUSE 2.0 Collaboration avec Massimo Lombardi / CTRLZ architectures Concours d’architecture RIBA. Conception et modÊlisation des surfaces en lamelles avec Rhinoceros 3d. 2009-2013


Francesco Cingolani Architecture paramétrique Géométries complexes Design procédural #rhino3d #grasshopper #rhinoScript

immaginoteca.pro


Turn static files into dynamic content formats.

Create a flipbook
Issuu converts static files into: digital portfolios, online yearbooks, online catalogs, digital photo albums and more. Sign up and create your flipbook.